Subject: [tsvwg] Some results obtained with TCM

From: "Jose Saldana" <[email-masked]>
Date: Thu, 11 Dec 2014 16:48:16 +0100

Hi all,
 
Today I have performed a small battery of tests with the TCM implementation (https://github.com/TCM-TF/simplemux/). We hope we will be able to test it in other scenarios and with better machines soon.
 
Multiplexing and compressing with ROHC 10 VoIP flows (G729a with 2 samples per packet):
Average BW reduction: 36.50%
Average PPS reduction: 78.83%
Average multiplexing delay: 4123.33 us
stdev of the multiplexing delay: 3845.13 us
 
Multiplexing and compressing with ROHC 10 flows of Quake3 (a First Person Shooter game)
Average BW reduction: 22.23%
Average PPS reduction: 92.99%
Average multiplexing delay: 5148.72 us
stdev of the multiplexing delay: 2991.43 us

You can find the full report (with graphs and details) here: https://github.com/TCM-TF/simplemux/blob/develop/Simplemux_VoIP <https://github.com/TCM-TF/simplemux/blob/develop/Simplemux_VoIP&Quake3_results_v1.pdf?raw=true> &Quake3_results_v1.pdf?raw=true
 
Best regards,
 
Jose
 
De: tsvwg [mailto:[email-masked]] En nombre de Jose Saldana
Enviado el: jueves, 11 de diciembre de 2014 11:01
Para: [email-masked]
CC: 'Gorry Fairhurst'; 'David Flórez Rodríguez'; 'Manuel Núñez Sanz'; 'Juan Antonio Castell Lucía'; 'Gonzalo Camarillo'; Martin Stiemerling; 'Fernando Pascual Blanco'; 'Dan Wing (dwing)'; 'Michael Ramalho (mramalho)'
Asunto: [tsvwg] New version of the TCM drafts
 
Hi all,
 
We have just submitted new versions of the two TCM drafts:
 
- Tunneling Compressing and Multiplexing (TCM) Traffic Flows. Reference Model. draft-saldana-tsvwg-tcmtf-08
http://datatracker.ietf.org/doc/draft-saldana-tsvwg-tcmtf/
 
- Delay Limits and Multiplexing Policies to be employed with Tunneling Compressing and Multiplexing Traffic Flows. draft-suznjevic-tsvwg-mtd-tcmtf-04
http://datatracker.ietf.org/doc/draft-suznjevic-tsvwg-mtd-tcmtf/
 
In addition, yesterday I submitted another draft about Simplemux (http://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/), a multiplexing protocol simpler than PPPMux (I will send another e-mail explaining it).
 
We have built an implementation of TCM over Simplemux (https://github.com/TCM-TF/simplemux), and we will soon report the results of some tests we are planning.
 
Best regards,
 
Jose Saldana
PS: These are some of the improvements:
- keywords have been added
    multiplexing
    header compression
    optimization
    small-packet flows
 
- We talk about “Tunneling, Compressing and Multiplexing (TCM)” instead of “Tunneling Compressed and Multiplexed Traffic Flows (TCM-TF)”. It is a bit confusing if we talk about TCM in some places and TCM-TF in others. In addition, TCM is very easy to remember.
 
- We have improved the abstract and the introduction, talking about “optimization”, “small-packet flows” here and there.
 
- We have updated the reference to COAP (it is now an RFC and it was a draft some months ago).
 
- We have added a reference for supporting the statement saying that routers have a limit in the number of pps they can manage.
 
- We have modified the titles of some subsections.